@import url('../css/font.css');
@import url('../css/service.css');
@import url(../css/whyus.css);
@import url(../css/about.css);
@import url(../css/service.css);

html, body{
    margin: 0%;
    box-sizing: border-box;
    overflow-x: hidden;
}

  .stram__title {
    font-size: 64px;
    font-weight: 600;
    font-family: var(--playfair-display);
  
    color: var(--secondary-color);
  
    margin-top: 16px;
  }
  .stram__subtitle {
  
    color: var(--text-gray);
    opacity: 0.8;
  
    letter-spacing: -0.01em;
    font-size: 56px;
    font-family: var(--Lexend);
    font-weight: 600;
    line-height: 78px;
    color:var(--black-200);
    text-align: center;
  }
:root{

    /*      Theme colors        */
    --text-gray: #3f4954;
    --text-light : #686666da;
    --bg-color: #0f0f0f;
    --white: #ffffff;
    --midnight: #104f55;

    /* gradient color   */
    --sky: linear-gradient(120deg, #a1c4fd 0%, #c2e9fb 100%);

    /*      theme font-family   */
    --Abel: 'Abel', cursive;
    --Anton: 'Anton', cursive;
    --Josefin : 'Josefin', cursive;
    --Lexend: 'Lexend', cursive;
    --Livvic : 'Livvic', cursive;
    --playfair-display: "Playfair Display", serif;
    --plus-jakarta-sans: "Plus Jakarta Sans", sans-serif;
  
    --primary-color: #b1454a;
    --secondary-color: #121212;
  
    --black-200: #020202;
    --black-300: #333333;
    --black-400: #1f1e31;
    --black-500: #555555;
    --gray-100: #888888;
  
    --color-white: #fff;
    --color-creamson: #fff0de;
}


/* ---------------- Global Classes ---------------*/

a{
    text-decoration: none !important;
    color: var(--text-gray) !important;
}
a.linker{
    text-decoration: none !important;
    color: var(--text-gray) !important;
}

.flex-row{
    display: flex;
    flex-direction: row;    
    flex-wrap: wrap;
}

ul{
    list-style-type: none;
}

h1{
    font-family: var(--Lexend);
    font-size: 2.5rem;
}

h2{
    font-family: var(--Lexend);
}

h3{
    font-family: var(--Abel);
    font-size: 1.3rem;
}



button.btn{
    border: none;
    border-radius: 2rem;
    padding: 1rem 3rem;
    font-size: 1rem;
    font-family: var(--Livvic);
    cursor: pointer;
}

span{
    font-family: var(--Abel);
}

.container{
    margin: 0 5vw;
}

.text-gray{
    color: var(--text-gray);
}

p{
    font-family: var(--Lexend);
    color: var(--text-light);
}

/* ------x------- Global Classes -------x-------*/

    


/* --------------- navbar ----------------- */

.nav{
    background: white;
    padding: 0 2rem;
    height: 0rem;
    min-height: 10vh;
    overflow: hidden;
    transition: height 1s ease-in-out;
}


.nav .nav-menu{    
    justify-content: space-between;
}

.nav .toggle-collapse{
    position: absolute;
    top: 0%;
    width: 90%;
    cursor: pointer;
    display: none;
}

.nav .toggle-collapse .toggle-icons{
    display: flex;
    justify-content: flex-end;
    padding: 1.7rem 0;
}

.nav .toggle-collapse .toggle-icons i{
    font-size: 1.4rem;
    color: var(--text-gray);
}

.collapse{
    height: 30rem;
}

.nav .nav-items{
    display: flex;
    margin: 0;
}

.nav .nav-items .nav-link{
    padding: 1.6rem 1rem;
    font-size: 1.1rem;
    position: relative;
    font-family: var(--Abel);
    font-size: 1.1rem;
}

.nav .nav-items .linker:hover .nav-link:hover{
    background-color: var(--midnight);
}

.nav .nav-items .nav-link:hover a{
    color: var(--white) !important;
}

.nav .nav-brand a{
    font-size: 1.6rem;
    padding: 1rem 0;
    display: block;
    font-family: var(--Lexend);
    
}



.nav .social{
    padding: 1.4rem 0
}

.nav .social i{
    padding: 0 .2rem;
}

.nav .social i:hover{
    color: #a1c4cf;
}

/* -------x------- navbar ---------x------- */


/* ----------------- Main Content----------- */

/* --------------- Site title ---------------- */
main .site-title{
    background: url('../assets/re2.jpg');
    background-size: cover;
    height: 75vh;
    display: flex;
    justify-content: center;
}

main .site-title .site-background{
    padding-top: 10rem;
    text-align: center;
    color: var(--white);
}

main .site-title h1, h3{
    margin: .3rem;
}

main .site-title .btn{
    margin: 1.8rem;
    background: var(--sky);
}

main .site-title .btn:hover{
    background: transparent;
    border: 1px solid var(--white);
    color: var(--white);
}

/* --------x------ Site title --------x------- */
    
